Issue 111108 - Prefer the classic family name as long as #i79878# is unfixed
Summary: Prefer the classic family name as long as #i79878# is unfixed
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOo 3.0
Hardware: All Unix, all
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: hdu@apache.org
QA Contact: issues@gsl
URL:
Keywords:
Depends on: 79878
Blocks:
  Show dependency tree
 
Reported: 2010-04-23 12:21 UTC by hdu@apache.org
Modified: 2010-06-08 11:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2010-04-23 12:21:26 UTC
Writer suffers from issue 79878. The only reasonable workaround was to use the classic nameid==1 font 
family name instead of the more modern nameid==16. This is already done on all OOo platforms except 
on UNX if fontconfig enumeration is used, since fontconfig>=2.4.2 always returns the entry from 
nameid==16 if available. Until issue 79878 gets fixed this fontconfig feature causes more problems than 
it is worth.
Comment 1 hdu@apache.org 2010-04-23 12:27:12 UTC
Done in CWS narrow01.
Comment 2 hdu@apache.org 2010-05-18 16:09:37 UTC
.
Comment 3 hdu@apache.org 2010-06-08 11:18:49 UTC
Got into DEV300_m81 => closing